%define oname   test-spec

Name:       ruby-%{oname}
Version:    0.10.0
Release:    %mkrel 5
Summary:    A Behaviour Driven Development interface for Test::Unit
Group:      Development/Ruby
License:    GPLv2+ or Ruby License
URL:        http://test-spec.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     test-spec-0.10.0-licenses.patch
BuildRequires: rubygems
BuildArch:	noarch

%description
test/spec layers an RSpec-inspired interface on top of Test::Unit, so you can
mix TDD and BDD (Behavior-Driven Development).  test/spec is a clean-room
implementation that maps most kinds of Test::Unit assertions to a
`should'-like syntax.

%files
%{_bindir}/specrb
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Documentation
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/SPECS
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/ROADMAP
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
gunzip metadata.gz
%patch0 -p0
gzip metadata

%build
%gem_build

%install
%gem_install


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.10.0-5.mga3
+ Revision: 396551
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.10.0-4.mga3
+ Revision: 381540
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 0.10.0-3.mga3
+ Revision: 313984
- add licenses
- rebuild for new ruby

* Tue Jan 25 2011 shikamaru <shikamaru> 0.10.0-2.mga1
+ Revision: 39645
- rebuild for new rubygems.rb

* Mon Jan 24 2011 shikamaru <shikamaru> 0.10.0-1.mga1
+ Revision: 36995
- imported package ruby-test-spec

